QGIS Application - Bug report #11272

Print composer: table frame background extends beyond full table rows

2014-09-26 12:48 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19570
Description

In print composer, if the frame background extends beyond a multiple of full table row height, the background goes beyond the full table

rows (as in the screenshot image provided).

It would be nice if the frame background could be restricted to a multiple of a row-height.

Associated revisions

Revision 4569713 - 2014-10-03 01:08 AM - Nyall Dawson

[composer] Fix table background extending beyond table rows (fix #11272).
It was necessary to add a new 'table background' color option to prevent
regressions when loading old compositions, since users may desire

the old behaviour where the entire frame is filled.

History

#1 - 2014-10-02 04:17 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"456e97137238b855afa5fad3cd10a2ccd4540fea".
